Vue UI Components Documentation
Vue NumberInput Component
The NumberInput component for Vue represents a widget that allows you to input currency, percentages and any type of numeric data. The edited data can be presented in various formats.
Prerequisites
Refer to Vue Getting Started before you start with this help topic.
Configuration
After you have created your App.vue file, here is how you should structure it:
The NumberInput component for Vue requires the following import:
import JqxNumberInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue";
Add the jqxNumberInput component to the components section of the the Vue class:
components: { JqxNumberInput },
Template
The App.vue has a <template>
structural tag where we determine the application structure.
There we will also set the tags for the new components - <JqxNumberInput/>
<template> <JqxNumberInput :width="width" :height="height" :spinButtons="spinButtons"> </JqxNumberInput></template>
Properties
The properties of the <JqxNumberInput/> component are defined in the data
member of the Vue class.
We should put them in the return object of the data function:
data: function () { return { width: 250, height: 25, spinButtons: true }}
Events
The events in Vue are set as an attribute with @ prefix, for example:
<JqxNumberInput @valueChanged="onValueChanged()" :width="width" :height="height" :spinButtons="spinButtons"></JqxNumberInput>
All events that are bound to a component are implemented in the methods
member of the Vue class.
methods: { onValueChanged: function () { // Do something... }}
Methods
To use a component's method we should have its reference. In Vue we refer to a component by the special $refs
property.
Before that we need to add the desired name reference to that component:
<JqxNumberInput ref="numberinput"></JqxNumberInput>
Here how you can use a component's method:
this.$refs.numberinput.getDecimal();
methods: { // Add here all used callbacks and/or events onValueChanged: function () { // Do something... let decimal = this.$refs.numberinput.getDecimal(); alert(decimal); }}
If we want to add additional methods we should also implement them in the methods
member.
In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate
member.
It depends on the case.
If you have followed the above steps, you App.vue file would look like this:
App.vue:
<template> <JqxNumberInput ref="numberinput" @valueChanged="onValueChanged()" :width="width" :height="height" :spinButtons="spinButtons"> </JqxNumberInput> </template> <script> // Import the components that will be used import JqxNumberInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue"; export default { components: { // Adding imported widgets here JqxNumberInput }, data: function () { // Define properties which will use in the widget return { width: 250, height: 25, spinButtons: true } }, beforeCreate: function () { // Add here any data where you want to transform before components be rendered }, methods: { // Add here all used callbacks and/or events onValueChanged: function () { // Do something... let decimal = this.$refs.numberinput.getDecimal(); alert(decimal); } } }</script> <style></style>
NumberInput Example
<template> <div style="float: left;"> <div style="margin-top: 10px;"> Number </div> <div style="margin-top: 3px;"> <JqxNumberInput @change="change($event)" @textchanged="textchanged($event)" :spinButtons="true" :width="250" :height="25"> </JqxNumberInput> </div> <div style="margin-left: 0px; margin-top: 20px; float: left;"> <div> <span> Events: </span> <JqxPanel ref="events" :width="300" :height="250"> </JqxPanel> </div> </div> </div></template><script> import JqxNumberInput from "jqwidgets-scripts/jqwidgets-vue/vue_jqxnumberinput.vue"; import JqxPanel from "jqwidgets-scripts/jqwidgets-vue/vue_jqxpanel.vue"; export default { components: { JqxNumberInput, JqxPanel }, methods: { change: function (event) { let value = event.args.value; this.$refs.events.clearcontent(); this.$refs.events.prepend('<div style="margin-top: 5px;">Value: ' + value + '</div>'); }, textchanged: function (event) { let text = event.args.text; this.$refs.events.prepend('<div style="margin-top: 5px;">Text: ' + text + '</div>'); } } }</script> <style> html, body { width: 100vw; height: 100vh; padding: 0; margin: 0; } .jqx-panel { border: none; }</style>

Angular UI Components Documentation

Angular NumberInput Component

The NumberInput component for Angular represents a widget that allows you to input currency, percentages and any type of numeric data. The edited data can be presented in various formats.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<div style="margin-top: 10px;">
  Number
</div>
<jqxNumberInput [theme]="'fluent'" #numericInput
                [width]="250" [height]="25" [spinButtons]="true">
</jqxNumberInput>
<div style="margin-top: 10px;">
  Percentage
</div>
<jqxNumberInput [theme]="'fluent'" #percentageInput
                [width]="250" [height]="25" [symbolPosition]="'right'"
                [symbol]="'%'" [spinButtons]="true" [digits]="3">
</jqxNumberInput>
<div style="margin-top: 10px;">
  Currency
</div>
<jqxNumberInput [theme]="'fluent'" #currencyInput
                [width]="250" [height]="25" [symbol]="'$'" [spinButtons]="true">
</jqxNumberInput>
<div style="margin-top: 10px;">
  Disabled
</div>
<jqxNumberInput [theme]="'fluent'" #disabledInput
                [width]="250" [height]="25" [disabled]="true" [spinButtons]="true">
</jqxNumberInput>	

3. Setup Component Logic

app.component.ts


import { Component } from '@angular/core';

import { jqxNumberInputModule, jqxNumberInputComponent } from 'jqwidgets-ng/jqxnumberinput';
@Component({
    selector: 'app-root',
    imports: [jqxNumberInputModule],
    standalone: true,
    templateUrl: './app.component.html'
})

export class AppComponent {
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

NumberInput API

API Reference of the jQWidgets NumberInput component for Angular: NumberInput API